## org.eclipse.datatools.modelbase.sql.query
Interface MergeUpdateSpecification

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, MergeOperationSpecification, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface MergeUpdateSpecification

extends MergeOperationSpecification

A representation of the model object 'Merge Update Specification'. SQL syntax: WHEN MATCHED THEN UPDATE SET <set clause list> where <set clause list> is a list of assignement expressions, such as description = sh.description The assignment expression list is modelled as a list of UpdateAssignementExpression objects, which in the general case can have a query exrpession as the assignement source, but for Merge only simple assignment list is allowed.

The following features are supported:

- `Assignement Expr List`

See Also:
  `SQLQueryModelPackage.getMergeUpdateSpecification()`

Method Summary
`org.eclipse.emf.common.util.EList` `getAssignementExprList()` Returns the value of the 'Assignement Expr List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.MergeOperationSpecification
`getMergeStatement, setMergeStatement`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssignementExprList

    org.eclipse.emf.common.util.EList getAssignementExprList()

  Returns the value of the 'Assignement Expr List' containment reference list. The list contents are of type `UpdateAssignmentExpression`. It is bidirectional and its opposite is '`Merge Update Spec`'.

  If the meaning of the 'Assignement Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Assignement Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getMergeUpdateSpecification_AssignementExprList()`, `UpdateAssignmentExpression.getMergeUpdateSpec()`